
Installer - Bug #8008

URL, user and password no longer shown when installer has a non-fatal error

10/21/2014 07:57 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: foreman-installer script   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/132

  

Description

#5488 changed the installer to a hook layout which only shows information about the configured Puppet modules, the username,

password and URLs, when the run was successful.

This is a regression since https://github.com/theforeman/foreman-installer/commit/0fcebfbf15e94e1f4f88229d7a4b517374f69599

which made it always show the output, as sometimes the error is non-fatal.

Associated revisions

Revision bb5944a0 - 11/12/2014 08:48 AM - Shlomi Zadok

fixes #8008 - display foreman, foreman-proxy and puppet regradless to success or fail

History

#1 - 10/28/2014 05:21 AM - Dominic Cleal

- Target version set to 1.7.2

#2 - 11/11/2014 05:13 PM - Shlomi Zadok

- Assignee set to Shlomi Zadok

#3 - 11/12/2014 08:53 AM - Shlomi Zadok

- Status changed from New to Ready For Testing

#4 - 11/12/2014 09:54 AM - Dominic Cleal

- Pull request https://github.com/theforeman/foreman-installer/pull/132 added

- Pull request deleted ()

#5 - 11/12/2014 10:01 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bb5944a02cb8e45f48781f170c05ca1625d7a4f6.
